# Regular expressions for detecting various tokens and URLs

WEBHOOK_REGEX = r"(https?://(?:ptb\.|canary\.)?discord(?:app)?\.com/api/webhooks/\d+/[\w-]+)"
WEBHOOK_REGEX_BASE64 = r"(?:['\"]([\w+/=]+)['\"])"
DISCORD_TOKEN_MATCHER = r"[MN][A-Za-z\d]{23}\.[\w-]{6}\.[\w-]{27}"
DISCORD_TOKEN_MATCHER_BASE64 = r"['\"]([\w+/=]{24,})['\"]"
TELEGRAM_REGEX = r"\d{8,10}:[A-Za-z0-9_-]{35}"
EMAIL_MATCHER = r"[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}"
