from dataclasses import dataclass, field
from typing import List, Optional

@dataclass
class TriageNewSampleData:
    file_name: str
    sha256: str
    analyze_id: str
    file_path: Optional[str] = None
    family: str = ""
    tags: List[str] = field(default_factory=list)
    behaviors: List[str] = field(default_factory=list)

@dataclass
class AnalyzeResult:
    families: List[str]
    network: List[str]
    triage_object: TriageNewSampleData
